<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCVideoTrack.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_331ebcd7eae20c401b28e17fa8e95b84.html">WebRTC.framework</a></li><li class="navelem"><a class="el" href="dir_16efaed54e63b7da363d990b22453cbf.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RTCVideoTrack.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright 2015 The WebRTC project authors. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Use of this source code is governed by a BSD-style license</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  that can be found in the LICENSE file in the root of the source</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  tree. An additional intellectual property rights grant can be found</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  in the file PATENTS.  All contributing project authors may</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *  be found in the AUTHORS file in the root of the source tree.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;WebRTC/RTCMediaStreamTrack.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &lt;WebRTC/RTCMacros.h&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;NS_ASSUME_NONNULL_BEGIN</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_r_t_c_video_renderer-p.html">RTCVideoRenderer</a>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_r_t_c_peer_connection_factory.html">RTCPeerConnectionFactory</a>;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_r_t_c_video_source.html">RTCVideoSource</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;RTC_EXPORT</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="interface_r_t_c_video_track.html">   22</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_r_t_c_video_track.html">RTCVideoTrack</a> : <a class="code" href="interface_r_t_c_media_stream_track.html">RTCMediaStreamTrack</a></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="interface_r_t_c_video_track.html#ac6055ebf8ff874f95ff2ec00036905bf">   25</a></span>&#160;<span class="keyword">@property</span>(nonatomic, readonly) <a class="code" href="interface_r_t_c_video_source.html">RTCVideoSource</a> *<a class="code" href="interface_r_t_c_video_track.html#ac6055ebf8ff874f95ff2ec00036905bf">source</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;- (instancetype)init NS_UNAVAILABLE;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;- (void)addRenderer:(id&lt;RTCVideoRenderer&gt;)renderer;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;- (void)removeRenderer:(id&lt;RTCVideoRenderer&gt;)renderer;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;NS_ASSUME_NONNULL_END</div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_r_t_c_video_track_html"><div class="ttname"><a href="interface_r_t_c_video_track.html">RTCVideoTrack</a></div><div class="ttdef"><b>Definition:</b> RTCVideoTrack.h:22</div></div>
<div class="ttc" id="ainterface_r_t_c_video_track_html_ac6055ebf8ff874f95ff2ec00036905bf"><div class="ttname"><a href="interface_r_t_c_video_track.html#ac6055ebf8ff874f95ff2ec00036905bf">RTCVideoTrack::source</a></div><div class="ttdeci">RTCVideoSource * source</div><div class="ttdef"><b>Definition:</b> RTCVideoTrack.h:25</div></div>
<div class="ttc" id="ainterface_r_t_c_video_source_html"><div class="ttname"><a href="interface_r_t_c_video_source.html">RTCVideoSource</a></div><div class="ttdef"><b>Definition:</b> RTCVideoSource.h:21</div></div>
<div class="ttc" id="ainterface_r_t_c_media_stream_track_html"><div class="ttname"><a href="interface_r_t_c_media_stream_track.html">RTCMediaStreamTrack</a></div><div class="ttdef"><b>Definition:</b> RTCMediaStreamTrack.h:29</div></div>
<div class="ttc" id="aprotocol_r_t_c_video_renderer-p_html"><div class="ttname"><a href="protocol_r_t_c_video_renderer-p.html">RTCVideoRenderer-p</a></div><div class="ttdef"><b>Definition:</b> RTCVideoRenderer.h:23</div></div>
<div class="ttc" id="ainterface_r_t_c_peer_connection_factory_html"><div class="ttname"><a href="interface_r_t_c_peer_connection_factory.html">RTCPeerConnectionFactory</a></div><div class="ttdef"><b>Definition:</b> RTCPeerConnectionFactory.h:29</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
